import { Functional } from '../../../../../Class/Functional';
import { Done } from '../../../../../Class/Functional/Done';
import { System } from '../../../../../system';
export interface I<T> {
    message: string;
}
export interface O<T> {
}
export default class Log<T> extends Functional<I<T>, O<T>> {
    constructor(system: System);
    f({ message }: I<T>, done: Done<O<T>>): void;
}
